htablerownest <-
function (nestid, tables, headers = NULL, pagenum = 1) 
{
    n = length(tables)
    hcat("<table style=\"display:table\" id=\"", nestid, "\" border=\"1\" >\n", 
        pagenum = pagenum)
    if (!is.null(headers)) {
        hcat("<tr name=\"t", nestid, "row", 0, "\" id=\"t", nestid, 
            "row", 0, "\">\n", pagenum = pagenum)
        for (j in 1:n) {
            hcat("<td name=\"t", nestid, "col", j, "\" id=\"t", 
                nestid, "col", j, "\">", pagenum = pagenum)
            hcat(headers[j], pagenum = pagenum)
            hcat("</td>\n", pagenum = pagenum)
        }
        hcat("</tr>\n", pagenum = pagenum)
    }
    hcat("<tr name=\"t", nestid, "row", 1, "\" id=\"t", nestid, 
        "row", 1, "\">\n", pagenum = pagenum)
    for (j in 1:n) {
        hcat("<td name=\"t", nestid, "col", j, "\" id=\"t", nestid, 
            "col", j, "\">", pagenum = pagenum)
        htablemat("", tables[[j]], headers = colnames(tables[[j]]), 
            pagenum = pagenum)
        hcat("</td>\n", pagenum = pagenum)
    }
    hcat("</tr>\n", pagenum = pagenum)
    hcat("</table><br>\n\n", pagenum = pagenum)
}
