hdynamictablerownest <-
function (nestname, nestid, tables, headers = NULL, google = FALSE, 
    pagenum = 1, initialize_collapsed = FALSE) 
{
    n = length(tables)
    hcat("\n<a href=\"javascript:elementHideShow('", nestid, 
        "');\"> <font size=5>", nestname, "</font>  </a>\n", 
        pagenum = pagenum)
    hcat("<form onsubmit=\"return false\" style=\"display:inline\">\n", 
        pagenum = pagenum)
    hcat("&nbsp Columns\n", pagenum = pagenum)
    for (j in 1:n) {
        hcat("<input type=checkbox name=\"", nestid, "col", j, 
            "\" onclick=\"toggleVis(this.name)\" checked> ", 
            j, pagenum = pagenum)
    }
    hcat("</form>\n", pagenum = pagenum)
    if (initialize_collapsed) 
        hcat("<table style=\"display:none\" id=\"", nestid, "\" border=\"1\" >\n", 
            pagenum = pagenum)
    else hcat("<table style=\"display:table\" id=\"", nestid, 
        "\" border=\"1\" >\n", pagenum = pagenum)
    if (!is.null(headers)) {
        hcat("<tr name=\"t", nestid, "row", 0, "\" id=\"t", nestid, 
            "row", 0, "\">\n", pagenum = pagenum)
        for (j in 1:n) {
            hcat("<td name=\"t", nestid, "col", j, "\" id=\"t", 
                nestid, "col", j, "\">", pagenum = pagenum)
            hcat(headers[j], pagenum = pagenum)
            hcat("</td>\n", pagenum = pagenum)
        }
        hcat("</tr>\n", pagenum = pagenum)
    }
    hcat("<tr name=\"t", nestid, "row", 1, "\" id=\"t", nestid, 
        "row", 1, "\">\n", pagenum = pagenum)
    for (j in 1:n) {
        hcat("<td name=\"t", nestid, "col", j, "\" id=\"t", nestid, 
            "col", j, "\">", pagenum = pagenum)
        htablemat("", tables[[j]], headers = colnames(tables[[j]]), 
            google, pagenum = pagenum)
        hcat("</td>\n", pagenum = pagenum)
    }
    hcat("</tr>\n", pagenum = pagenum)
    hcat("</table><br>\n\n", pagenum = pagenum)
}
