hplot <-
function (expr, filename, dir = "", frame = 1, height = 480, 
    width = 480, pagenum = 1) 
{
    hp = htmllatexenv$htmlpages[[pagenum]]
    if (dir != "") 
        fulldir = paste(hp$basedir, dir, sep = "/")
    else fulldir = hp$basedir
    if (!file.exists(fulldir)) 
        dir.create(fulldir, recursive = TRUE)
    fullname = paste(fulldir, filename, sep = "/")
    if (dir != "") 
        localname = paste(dir, filename, sep = "/")
    else localname = filename
    png(fullname, height = height, width = width)
    try(eval.parent(parse(text = expr), frame))
    dev.off()
    hcat("<img src=\"", localname, "\" alt=\"image\" />", pagenum = pagenum)
}
