lsimpletable <-
function (tablemat, rnames = TRUE, cnames = TRUE, justify = NULL, 
    pagenum = 1) 
{
    if (is.null(justify)) {
        justify = rep("r", ncol(tablemat))
        if (rnames) 
            justify = c("l", justify)
    }
    lcat("\\begin{tabular}{", justify, "}\n", pagenum = pagenum)
    ltabledata(tablemat, rnames = rnames, cnames = cnames, pagenum = pagenum)
    lcat("\\end{tabular}\n", pagenum = pagenum)
}
